package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Data
@Entity
@Table(name = "sales_dw_commission")
public class SalesDwCommissionTable extends BaseTable {

    private Long ticket;

    private Long login;

    private Float deposit;

    private Float withdrawal;

    private Float amount;

    private Integer salesKpiType;

    private String comment;

    private Date closeTime;

    private String group;

    private Long groupType;

    private String platform;

    private Long customId;

    private Long cId;

    private Long agentId;

    private String ibNo;

    private String idStamp;

    private Long salesId;

    private String salesIdStamp;

    private Long salesLeaderId;

    private String salesNo;

    private Integer dwType;
    /**
     * 绩效规则ID
     */
    private Long salesCommissionRuleId;

    private String ym;

    public static SalesDwCommissionTable newInstance(){
        SalesDwCommissionTable obj = new SalesDwCommissionTable();
        obj.setAmount(0F);
        obj.setDeposit(0F);
        obj.setWithdrawal(0F);
        obj.setDwType(0);
        return obj;
    }

}
